set cpu 256k 
at dpa0 dsk/ki_dskb0.rp3
at dpa1 dsk/ki_dskb1.rp3
at dpa2 dsk/ki_dskb2.rp3
at dpa3 dsk/ki_dskb3.rp3
set mta type=b
expect "\r\nBOOTS\r\n" send -t after=900000 "system\r"; continue
expect "RELOAD:" send  "hard\r"; continue
expect "DATE:" send  "04-21-78\r"; continue
expect "TIME:" send  "1100\r"; continue
expect "STARTUP OPTION:" send  "no ini\r"; continue
expect "\r\n." send "set tty lc\r"; continue
expect "\r\n." send "LOGIN 10,7\r"; continue
expect "Password:" send "DIST\r"; continue
set env CPU KA
set env DISK dp
set env TAPE mta0
do mongen.do
set env CPU KI
set env DISK dp
set env TAPE mta0
do mongen.do
set env CPU KL
set env DISK rp
set env TAPE mta0
do mongen.do
;expect "\r\n." send "MAKE FTBTM.MAC\r"; continue
;expect "\r\n*" send "IMAGRIM==0\r\33EX\33\33"; continue
;expect "\r\n." send "COMP BOOTX=FTBTM+BOOTM\r"; continue
;expect "\r\n." send "R LINK\r"; continue
;expect "\r\n*" send "BOOTM/SAVE=BOOTX/GO\r"; continue
;expect "\r\n." send "DEL FTBTM.MAC\r"; continue
expect "\r\n." send "KJOB/F\r"; continue
expect "\n\n." send "\r"; continue
expect "\r\n." send "login 1,2\r"; continue
expect -ri "Password:" send "FAILSA\r"; continue
expect "\r\n." send "ASSIGN MTA0 BACKUP\r"; at mta0 -n tapes/mon.tap; continue
expect "\r\n." send "SET DEN MTA0 800\r"; continue
expect "\r\n." send "SET BLOCKSIZE MTA0 2000\r"; continue
expect "\r\n." send "COPY MTA0:=DSKB:[10,7]BOOTM.REL\r"; continue
expect "\r\n." send "SET BLOCKSIZE MTA0 128\r"; continue
expect "\r\n." send "COPY MTA0:=DSKB:[1,4]BACKUP.EXE\r"; continue
expect "\r\n." send "R BACKUP\r"; continue
expect "\r\n/" send "DEN 800\r"; continue
expect "\r\n/" send "SAVE DSKB:[1,4]=DSKB:MONK?.*[10,7]\r"; continue
expect "\r\n/" send "REWIND\r"; continue
expect "\r\n/" send "SKIP 2\r"; continue
expect "\r\n/" send "FILES\r"; continue
expect "\r\n/" send "PRINT TTY:\r"; continue
expect "\r\n/" send "REWIND\r"; continue
expect "\r\n/" send "EXIT\r"; continue
expect "\r\n." send "k/f\r"; det mta0; continue
expect "\n\n." set cty stop; continue
expect "\r\nBOOTS\r\n" quit
bo dpa0

